Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceOther

Get a webhook endpoint

GET
/v1/webhooks/endpoints/{id}

One endpoint with its delivery health.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^whe_[a-z0-9]{8,32}$

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/webhooks/endpoints/string"
{  "object": "webhook_endpoint",  "id": "string",  "url": "http://example.com",  "description": "string",  "event_types": [    "call.completed"  ],  "enabled": true,  "status": "active",  "disabled_reason": "string",  "secrets": [    {      "id": "string",      "prefix": "string",      "created_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z"    }  ],  "health": {    "deliveries": 0,    "failures": 0,    "consecutive_failures": 0,    "last_success_at": "2019-08-24T14:15:22Z",    "last_failure_at": "2019-08-24T14:15:22Z",    "failing_since": "2019-08-24T14:15:22Z",    "last_error": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}